/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/06/06
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/

/*
 *@Note
 ڴӡ̣
 USART1_Tx(PA9)
 ʾʹ USART1(PA9) ӡԿ

*/

#include "debug.h"


/* Global typedef */

/* Global define */

/* Global Variable */

void GPIO_Toggle_INIT( void )
{
    GPIO_InitTypeDef  GPIO_InitStructure = {0};

    RCC_APB2PeriphClockCmd( RCC_APB2Periph_GPIOC, ENABLE );

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6|GPIO_Pin_7;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init( GPIOC, &GPIO_InitStructure );

    GPIO_SetBits(GPIOC,GPIO_Pin_6|GPIO_Pin_7);                     //ߵƽ
}

/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
    static u8 i=0;
    static u8 j=0;

	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	Delay_Init();
	USART_Printf_Init(115200);

	printf("SystemClk:%d\r\n",SystemCoreClock);
	printf("This is printf example\r\n");

	GPIO_Toggle_INIT();

	while(1)
    {
	    Delay_Ms(250); //ʱ250ms
	    GPIO_WriteBit(GPIOC, GPIO_Pin_6, (i==0) ? (i=Bit_SET):(i=Bit_RESET));
	    Delay_Ms(250); //ʱ250ms
	    GPIO_WriteBit(GPIOC, GPIO_Pin_7, (j==0) ? (j=Bit_SET):(j=Bit_RESET));

	}
}

